#ifndef _MYCHRO_PRIVATEPROFILE_H_
#define _MYCHRO_PRIVATEPROFILE_H_

#include <windows.h>

class PrivateProfile
{
public:
	PrivateProfile( TCHAR *ext );
	virtual ~PrivateProfile(void);

protected:
	TCHAR profName[_MAX_PATH];
	TCHAR appName[_MAX_PATH];
	virtual DWORD FlexReadString( LPCTSTR def, LPCTSTR key, TCHAR **value, LPCTSTR app );
	virtual BOOL WriteInt( const UINT value, const UINT def, const TCHAR *key, const TCHAR *app = NULL );
	virtual BOOL WriteHex( const UINT value, const UINT def, const TCHAR *key, const TCHAR *app = NULL );
	virtual BOOL WriteString( const TCHAR *value, const TCHAR *def, const TCHAR *key, const TCHAR *app = NULL );
	virtual UINT ReadInt( const UINT def, const TCHAR *key, const TCHAR *app = NULL );
	virtual UINT ReadHex( const UINT def, const TCHAR *key, const TCHAR *app = NULL );
	virtual DWORD FlexReadSection( const TCHAR *section, TCHAR **value );
};

#endif//_MYCHRO_PRIVATEPROFILE_H_
