#ifndef _SETTINGDLG_H_
#define _SETTINGDLG_H_

#include "Dialog.h"
#include "AppProfile.h"

class SettingDlg : public Dialog
{
public:
	SettingDlg( UINT idResource, AppProfile::SETTINGS data );
	~SettingDlg(void);

	AppProfile::SETTINGS GetSettings(void) { return settings; };

protected:
	INT_PTR CALLBACK DlgProc( UINT uMsg, WPARAM wParam, LPARAM lParam );
	BOOL Cls_OnInitDialog(HWND hwnd, HWND hwndFocus, LPARAM lParam);
	void Cls_OnDrawItem(HWND hwnd, const DRAWITEMSTRUCT *lpDrawItem);
	void Cls_OnCommand(HWND hwnd, int id, HWND hwndCtl, UINT codeNotify);
	void SelectColor( COLORREF *color );
	void ToggleItem( int nIDSrc, int nIDDest, BOOL rev = FALSE );
	void OnBtnDayFont(void);
	void OnBtnOk(void);

	void CheckValue( int id );
	int SetFontName( TCHAR *buffer, size_t sizeOfBuffer, LOGFONT lf );

	AppProfile::SETTINGS settings;
};

#endif//_SETTINGDLG_H_
